<?php

namespace App\Media\QuickTime\Atoms;

// An atom we dont know how to handle

use App\Media\QuickTime\Atom;

class Unknown extends Atom
{
	private string $atom;

	public function __construct(int $offset,int $size,string $filename,string $atom,?string $data)
	{
		parent::__construct($offset,$size,$filename,$data);

		$this->atom = $atom;

		// For debugging
		if (FALSE)
			$this->debug = hex_dump($data ?: $this->data());
	}
}